Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class LongSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.LongSeqHelper

public class LongSeqHelper
extends java.lang.Object

Helper class for : LongSeq

Author:
  OpenORB Compiler

Constructor Summary
`LongSeqHelper()`

Method Summary
`static int[]` | `extract(Any a)` Extract LongSeq from an any
`static java.lang.String` | `id()` Return the LongSeq IDL ID
`static void` | `insert(Any a, int[] t)` Insert LongSeq into an any
`static int[]` | `read(InputStream istream)` Read LongSeq from a marshalled stream
`static TypeCode` | `type()` Return the LongSeq TypeCode
`static void` | `write(OutputStream ostream, int[] value)` Write LongSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongSeqHelper

    public LongSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              int[] t)

  Insert LongSeq into an any
  Parameters:
    `a` - an any
    `t` - LongSeq value

### extract

    public static int[] extract(Any a)

  Extract LongSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted LongSeq value

### type

    public static TypeCode type()

  Return the LongSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the LongSeq IDL ID
  Returns:
    an ID

### read

    public static int[] read(InputStream istream)

  Read LongSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed LongSeq value

### write

    public static void write(OutputStream ostream,
                             int[] value)

  Write LongSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - LongSeq value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD